dcmgrscp does not support C-GET for storage areas that are write protected
Status: Closed Start date: 2021-02-25
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library and Apps Estimated time: 1:00 hour

Target version:
Module: demgqrscp Compiler:

Operating System:

Description

It is possible to defined storage areas for dcmqrscp as read-only (by specifiying "R" instead of "RW" in the configuration file).

In this case, dcmarscp rejects all presentation contexts related to Storage SOP Classes when accepting incoming network
associations for that storage area (identified by the called AETITLE).

Unfortunately, decmqrscp also rejects presentation contexts related to Storage SOP Classes where role negotiation is in effect, i.e. the
presentation contexts needed for image transmissions to the client in the C-GET protocol. Therefore, download attempts with a tool
like getscu always fail when a storage area is read-only.

This should be fixed such that only those presentation contexts are rejected where demqrscp would act as SCP of a Storage SOP
Class.

History

#1 - 2021-10-30 19:07 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 1:00 h

Closed by commit #4f94e8156.
